#include "Server.h"
#include "TestClassI.h"

using namespace Crash;

int CrashApp::run(int, char*[])
{
    ::Ice::ObjectAdapterPtr _adapter = communicator()->createObjectAdapterWithEndpoints("TestClassAdapter", "default -h localhost -p 10000");
    _adapter->add(new TestClassI(), communicator()->stringToIdentity("TestClass"));
    _adapter->activate();
    communicator()->waitForShutdown();
    if (interrupted())
    {
        cerr << appName() << ":received singal, shutting down" << endl;
    }
    return 0;
}

