#include "TestClassI.h"
#include <Ice//Ice.h>

using namespace Ice;

void Crash::TestClassI::AmiInvokeMethod_async(const ::Crash::AMD_TestClass_AmiInvokeMethodPtr& cb, const ::Ice::Current& /*= ::Ice::Current()*/)
{
    Sleep(5000);
    printf("AmiInvokeMethod_async\n");
    cb->ice_exception(Exception());
    return ;
}


void Crash::TestClassI::DirectInvokeMethod_async(const ::Crash::AMD_TestClass_DirectInvokeMethodPtr& cb, const ::Ice::Current& /*= ::Ice::Current()*/)
{
    Sleep(5000);
    printf("DirectInvokeMethod_async\n");
    // Invoke ice_exception will cause client crash
    cb->ice_exception(Exception());
    // But, invoke ice_response not
    // cb->ice_response(0);
    return;
}

